Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 248254 - Full diff for selected files in diff window
Full diff for selected files in diff window
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.1
All All
: P3 (vote)
: 8.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-29 16:03 UTC by hifi
Modified: 2014-11-01 04:45 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hifi 2014-10-29 16:03:48 UTC
Currently when de-selecting all files in a diff window the UI will tell you to click on the output window to get the overall diff. When you select many files instead of just one with Ctrl down, you get the same suggestion and when you click it it will do just that, show the full diff.

It would be nice if the output window could instead give you the option to get a full diff of the selected files: "Select a file or click to view the overall diff of selected files.".
Comment 1 Ondrej Vrabec 2014-10-29 16:08:35 UTC
Yeah, makes sense. I wanted to implement it right away but it required an API change so i left it open for a request. And you did request it :-).
Comment 2 hifi 2014-10-29 17:37:05 UTC
Thank you for taking such an interest to make my workflow better. I would have never thought someone actually acted on my requests and this quickly. Hopefully there are more people that appreciate these small changes as well.
Comment 3 Ondrej Vrabec 2014-10-31 13:10:22 UTC
fixed: core-main #80505ba92094
Comment 4 Quality Engineering 2014-11-01 04:45:50 UTC
Integrated into 'main-silver', will be available in build *201411010002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/80505ba92094
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #248254 - Full diff for selected files in diff window


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo